//
//  OCViewController.m
//  HalloWorld
//
//  Created by Manfred Kress on 06.12.13.
//  Copyright (c) 2013 Manfred Kress. All rights reserved.
//

#import "OCViewController.h"

@interface OCViewController ()

@end

@implementation OCViewController

- (id)init
{
    self = [super init];
    if (self)
    {
        UIColor *backgroundColor = [UIColor yellowColor];
        
        [[self view] setBackgroundColor: backgroundColor];
    }
    return self;
}

- (void) viewDidAppear:(BOOL)animated
{
    [super viewDidAppear: animated];
    
    CGRect frame = [[self view] frame];
    
    frame.size.height = 100;
    frame.origin.x = 0;
    frame.origin.y = 100;
    
    UIColor *backgroundColor = [UIColor clearColor];
    UIColor *textColor = [UIColor blackColor];
    UIFont *font = [UIFont systemFontOfSize: 44];
    
    UILabel *label = [[UILabel alloc] initWithFrame: frame];
    [label setText: @"Hallo Welt"];
    [label setBackgroundColor: backgroundColor];
    [label setTextColor: textColor];
    [label setFont: font];
    [label setTextAlignment: NSTextAlignmentCenter];
    
    [[self view] addSubview: label];
    
}

@end
